"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deps = {
    // remote
    get cli() {
        try {
            return fetch('cli-ux').default;
        }
        catch (err) {
            if (err.code !== 'MODULE_NOT_FOUND')
                throw err;
        }
    },
    get HTTP() { return fetch('http-call').HTTP; },
    get Config() { return fetch('cli-engine-config').Config; },
    get CLIFlags() { return fetch('cli-flags'); },
    get chalk() { return fetch('chalk'); },
    // local
    get Help() { return fetch('./help').Help; },
    get renderList() { return fetch('./list').renderList; },
    get screen() { return fetch('./screen').default; },
};
const cache = {};
function fetch(s) {
    if (!cache[s]) {
        cache[s] = require(s);
    }
    return cache[s];
}
exports.default = exports.deps;
