"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function termwidth(stream) {
    if (!stream.isTTY) {
        return 80;
    }
    const width = stream.getWindowSize()[0];
    if (width < 1) {
        return 80;
    }
    if (width < 40) {
        return 40;
    }
    return width;
}
const columns = global.columns;
let stdtermwidth = termwidth(process.stdout);
let errtermwidth = termwidth(process.stderr);
process.stdout.on('resize', () => {
    stdtermwidth = termwidth(process.stdout);
});
process.stderr.on('resize', () => {
    errtermwidth = termwidth(process.stderr);
});
exports.default = {
    get errtermwidth() {
        return columns || errtermwidth;
    },
    get stdtermwidth() {
        return columns || stdtermwidth;
    },
};
